#!/usr/bin/perl
# |
# ||||||| Maciej "Blaass" Brylka
# | www.psam.se/~mib1
# |mail:  blaass@elsat.net.pl
# |irc :  #pld
# |       for LIVECD@pld project
# \------------------------------
#
# Konfigurator Polaczen dla Prostego Uzytkownika
# ver 1.00 Stable

use Curses;
use Paw;
use Paw::Button;
use Paw::Text_entry;
use Paw::Box;
use Paw::Window;
use Paw::Line;
use Paw::Label;

#wuf
$adresip = "";
$adresipa = "";
$adresipb = "";
$adresipc = "";
$bramka = "";
$maska = "";
$eth = "";


sub sagwuf{
    $main_win->close_win();
    $neos_win->raise();
}
sub alcwuf{
    $main_win->close_win();
    $neoa_win->raise();
}
sub dsl1wuf {
    $main_win->close_win();
    $dsl1_win->raise();
}
sub dsl0wuf {
    $main_win->close_win();
    $dsl0_win->raise();
}
sub eth0wuf {
    $main_win->close_win();
    $eth0_win->raise();
}
sub help {
    $main_win->close_win();
    endwin();
    print "\n";
    print "Auto-konfigurator Neo+ / DSL dla PLDLiveCD Project \n";
    print "\n";
    print "Potrzebne:\n";
    print "- perl \n";
    print '- perl Paw::*',  "\n";
    print "- perl Curses\n";
    print "\n";
    print "Opcje: \n";
    print "perl tpsa_pld.pl --sagem \n";
    print "perl tpsa_pld.pl --alcatel \n";
    print "perl tpsa_pld.pl --dsl1 \n";
    print "perl tpsa_pld.pl --dsl0 \n";
    print "perl tpsa_pld.pl --eth0 \n";
    print "\n \n";
    print 'Pazdziernik@2004 by Maciej "Blaass" Brylka', "\n";
    exit();
}
#colorki
($columns, $rows)=Paw::init_widgetset;
init_pair(2, COLOR_CYAN, COLOR_BLACK);
init_pair(3, COLOR_WHITE, COLOR_MAGENTA);
#okienka
$main_win=Paw::Window->new(height=>$rows, width=>$columns, color=>1, orientation=>"grow");
$neoa_win=Paw::Window->new(abs_x=>int(($columns-50)/2), abs_y=>int(($rows-15)/2), height=>15, width=>50, color=>1, title=>"Neostrada Alcatel");
$neoa_win->set_border("shade");
$neos_win=Paw::Window->new(abs_x=>int(($columns-50)/2), abs_y=>int(($rows-15)/2), height=>15, width=>50, title=>"Neostrada Sagem");
$neos_win->set_border("shade");
$dsl1_win=Paw::Window->new(abs_x=>int(($columns-50)/2), abs_y=>int(($rows-15)/2), height=>18, width=>50, title=>"DSL 1MB");
$dsl1_win->set_border("shade");
$dsl0_win=Paw::Window->new(abs_x=>int(($columns-50)/2), abs_y=>int(($rows-15)/2), height=>15, width=>50, title=>"DSL 0,5MB");
$dsl0_win->set_border("shade");
$eth0_win=Paw::Window->new(abs_x=>int(($columns-50)/2), abs_y=>int(($rows-15)/2), height=>17, width=>50, title=>"Ethernet");
$eth0_win->set_border("shade");
$koniec_win=Paw::Window->new(abs_x=>int(($columns-50)/2), abs_y=>int(($rows-15)/2), height=>10, width=>50, title=>"Koniec");
$koniec_win->set_border("shade");
$error_win=Paw::Window->new(abs_x=>int(($columns-50)/2), abs_y=>int(($rows-15)/2), height=>10, width=>50, title=>"Error");
$error_win->set_border("shade");

#main okienka
$main_vbox0=Paw::Box->new(direction=>"v", orientation=>"center");
$main_butt6=Paw::Button->new(text=>"Karta Ethernet", callback=>\&eth0_cb);
$main_butt6->set_border();
$main_butt1=Paw::Button->new(text=>"Neostrada Alcatel", callback=>\&neo1_cb);
$main_butt1->set_border();
$main_butt2=Paw::Button->new(text=>"Neostrada Sagem", callback=>\&neo2_cb);
$main_butt2->set_border();
$main_butt3=Paw::Button->new(text=>"DSL 1MB", callback=>\&dsl1_cb);
$main_butt3->set_border();
$main_butt4=Paw::Button->new(text=>"DSL 0,5MB", callback=>\&dsl0_cb);
$main_butt4->set_border();
$main_butt5=Paw::Button->new(text=>"Exit", callback=>\&exitme);
$main_butt5->set_border();

$main_line1=Paw::Line->new(length=>5);

$shell_ok=Paw::Button->new(text=>"Exit", callback=>\&main_ok_cb);
$shell_ok->set_border();
$main_cancel=Paw::Button->new(text=>"Install", callback=>\&main_cancel_cb);
$main_cancel->set_border();

$main_vbox0->rel_move_curs(new_y=>+1);
$main_vbox0->put($main_butt6);
$main_vbox0->put($main_butt1);
$main_vbox0->put($main_butt2);
$main_vbox0->put($main_butt3);
$main_vbox0->put($main_butt4);
$main_vbox0->put($main_line1);

$main_vbox0->put($main_butt5);
$main_vbox0->set_border("shade");

$main_win->abs_move_curs(new_x=>($columns-20)/2,new_y=>($rows-15)/2);
$main_win->put($main_vbox0);


# Neostrada Alcatel 1
$neo1_vbox2=Paw::Box->new(name=>"neo1_vbox2", direction=>"v", parent=>$neoa_win);
$neo1_hbox0=Paw::Box->new(name=>"neo1_hbox0",direction=>"h", parent=>$neo1_vbox2);
$neo1_hbox1=Paw::Box->new(name=>"neo1_hbox1",direction=>"h", parent=>$neo1_vbox2);
$neo1_vbox0=Paw::Box->new(name=>"neo1_vbox0",direction=>"v", parent=>$neo1_hbox1);
$neo1_vbox1=Paw::Box->new(name=>"neo1_vbox1",direction=>"v", parent=>$neo1_hbox0);

$neo1_ok=Paw::Button->new(text=>"Ok", callback=>\&neo1_ok_cb);
$neo1_ok->set_border("shade");
$neo1_cancel=Paw::Button->new(text=>"Cancel", callback=>\&neo1_cancel_cb);
$neo1_cancel->set_border("shade");
$neo1_hbox1->put($neo1_ok);
$neo1_hbox1->rel_move_curs(new_x=>23);
$neo1_hbox1->put($neo1_cancel);

$neo1_label1 = Paw::Label->new(text=>"Nazwa uzytkownika : ");
$neo1_label2 = Paw::Label->new(text=>"Haslo           : ");

$neo1_vbox0->put($neo1_label1);
$neo1_vbox0->put($neo1_label2);

$neo1_entry1 = Paw::Text_entry->new(text=>'user@neostrada.pl',width=>19,color=>2);
$neo1_entry2 = Paw::Text_entry->new(width=>19,color=>2);

$neo1_vbox1->put($neo1_entry1);
$neo1_vbox1->put($neo1_entry2);
$neo1_hbox0->put($neo1_vbox0);
$neo1_hbox0->put($neo1_vbox1);
$neo1_hbox0->set_border("shade");

$neo1_vbox2->put($neo1_hbox0);
$neo1_vbox2->rel_move_curs(new_y=>3);
$neo1_vbox2->put($neo1_hbox1);

$neoa_win->abs_move_curs(new_x=>5, new_y=>2);
$neoa_win->put($neo1_vbox2);


# Neostrada Sagem 2
$neo2_vbox2=Paw::Box->new(name=>"neo2_vbox2", direction=>"v", parent=>$neos_win);
$neo2_hbox0=Paw::Box->new(name=>"neo2_hbox0",direction=>"h", parent=>$neo2_vbox2);
$neo2_hbox1=Paw::Box->new(name=>"neo2_hbox1",direction=>"h", parent=>$neo2_vbox2);
$neo2_vbox0=Paw::Box->new(name=>"neo2_vbox0",direction=>"v", parent=>$neo2_hbox1);
$neo2_vbox1=Paw::Box->new(name=>"neo2_vbox1",direction=>"v", parent=>$neo2_hbox0);

$neo2_ok=Paw::Button->new(text=>"Ok", callback=>\&neo2_ok_cb);
$neo2_ok->set_border("shade");
$neo2_cancel=Paw::Button->new(text=>"Cancel", callback=>\&neo2_cancel_cb);
$neo2_cancel->set_border("shade");
$neo2_hbox1->put($neo2_ok);
$neo2_hbox1->rel_move_curs(new_x=>23);
$neo2_hbox1->put($neo2_cancel);

$neo2_label1 = Paw::Label->new(text=>"Nazwa uzytkownika : ");
$neo2_label2 = Paw::Label->new(text=>"Haslo           : ");

$neo2_vbox0->put($neo2_label1);
$neo2_vbox0->put($neo2_label2);

$neo2_entry1 = Paw::Text_entry->new(text=>'user@neostrada.pl',width=>19,color=>2);
$neo2_entry2 = Paw::Text_entry->new(width=>19,color=>2);

$neo2_vbox1->put($neo2_entry1);
$neo2_vbox1->put($neo2_entry2);
$neo2_hbox0->put($neo2_vbox0);
$neo2_hbox0->put($neo2_vbox1);
$neo2_hbox0->set_border("shade");

$neo2_vbox2->put($neo2_hbox0);
$neo2_vbox2->rel_move_curs(new_y=>3);
$neo2_vbox2->put($neo2_hbox1);

$neos_win->abs_move_curs(new_x=>5, new_y=>2);
$neos_win->put($neo2_vbox2);


# Dsl 1 MB
$dsl1_vbox2=Paw::Box->new(name=>"dsl1_vbox2",direction=>"v", parent=>$dsl1_win);
$dsl1_hbox0=Paw::Box->new(name=>"dsl1_hbox0",direction=>"h", parent=>$dsl1_vbox2);
$dsl1_hbox1=Paw::Box->new(name=>"dsl1_hbox1",direction=>"h", parent=>$dsl1_vbox2);
$dsl1_vbox0=Paw::Box->new(name=>"dsl1_vbox0",direction=>"v", parent=>$dsl1_hbox1);
$dsl1_vbox1=Paw::Box->new(name=>"dsl1_vbox1",direction=>"v", parent=>$dsl1_hbox0);

$dsl1_ok=Paw::Button->new(text=>"Ok", callback=>\&dsl1_ok_cb);
$dsl1_ok->set_border("shade");
$dsl1_cancel=Paw::Button->new(text=>"Cancel", callback=>\&dsl1_cancel_cb);
$dsl1_cancel->set_border("shade");
$dsl1_hbox1->put($dsl1_ok);
$dsl1_hbox1->rel_move_curs(new_x=>23);
$dsl1_hbox1->put($dsl1_cancel);

$dsl1_label1 = Paw::Label->new(text=>"Adres ip        : ");
$dsl1_label2 = Paw::Label->new(text=>"Maska podsieci    : ");
$dsl1_label3 = Paw::Label->new(text=>"Bramka            : ");
$dsl1_label4 = Paw::Label->new(text=>"Adres ip drugi    : ");
$dsl1_label5 = Paw::Label->new(text=>"Adres ip trzeci   : ");
$dsl1_label6 = Paw::Label->new(text=>"Adres ip czwarty  : ");
$dsl1_label7 = Paw::Label->new(text=>"Karta sieciowa    : ");

$dsl1_vbox0->put($dsl1_label1);
$dsl1_vbox0->put($dsl1_label2);
$dsl1_vbox0->put($dsl1_label3);
$dsl1_vbox0->put($dsl1_label4);
$dsl1_vbox0->put($dsl1_label5);
$dsl1_vbox0->put($dsl1_label6);
$dsl1_vbox0->put($dsl1_label7);

$dsl1_entry1 = Paw::Text_entry->new(width=>18,color=>2);
$dsl1_entry2 = Paw::Text_entry->new(text=>"255.255.255.248",width=>18,color=>2);
$dsl1_entry3 = Paw::Text_entry->new(width=>18,color=>2);
$dsl1_entry4 = Paw::Text_entry->new(width=>18,color=>2);
$dsl1_entry5 = Paw::Text_entry->new(width=>18,color=>2);
$dsl1_entry6 = Paw::Text_entry->new(width=>18,color=>2);
$dsl1_entry7 = Paw::Text_entry->new(text=>eth0,width=>18,color=>2);

$dsl1_vbox1->put($dsl1_entry1);
$dsl1_vbox1->put($dsl1_entry2);
$dsl1_vbox1->put($dsl1_entry3);
$dsl1_vbox1->put($dsl1_entry4);
$dsl1_vbox1->put($dsl1_entry5);
$dsl1_vbox1->put($dsl1_entry6);
$dsl1_vbox1->put($dsl1_entry7);

$dsl1_hbox0->put($dsl1_vbox0);
$dsl1_hbox0->put($dsl1_vbox1);
$dsl1_hbox0->set_border("shade");

$dsl1_vbox2->put($dsl1_hbox0);
$dsl1_vbox2->rel_move_curs(new_y=>3);
$dsl1_vbox2->put($dsl1_hbox1);

$dsl1_win->abs_move_curs(new_x=>5, new_y=>2);
$dsl1_win->put($dsl1_vbox2);


# Dsl 0,5MB
$dsl0_vbox2=Paw::Box->new(name=>"dsl0_vbox2", direction=>"v", parent=>$dsl0_win);
$dsl0_hbox0=Paw::Box->new(name=>"dsl0_hbox0",direction=>"h", parent=>$dsl0_vbox2);
$dsl0_hbox1=Paw::Box->new(name=>"dsl0_hbox1",direction=>"h", parent=>$dsl0_vbox2);
$dsl0_vbox0=Paw::Box->new(name=>"dsl0_vbox0",direction=>"v", parent=>$dsl0_hbox1);
$dsl0_vbox1=Paw::Box->new(name=>"dsl0_vbox1",direction=>"v", parent=>$dsl0_hbox0);

$dsl0_ok=Paw::Button->new(text=>"Ok", callback=>\&dsl0_ok_cb);
$dsl0_ok->set_border("shade");
$dsl0_cancel=Paw::Button->new(text=>"Cancel", callback=>\&dsl0_cancel_cb);
$dsl0_cancel->set_border("shade");
$dsl0_hbox1->put($dsl0_ok);
$dsl0_hbox1->rel_move_curs(new_x=>23);
$dsl0_hbox1->put($dsl0_cancel);

$dsl0_label1 = Paw::Label->new(text=>"Adres ip        : ");
$dsl0_label2 = Paw::Label->new(text=>"Maska podsieci    : ");
$dsl0_label3 = Paw::Label->new(text=>"Bramka            : ");
$dsl0_label4 = Paw::Label->new(text=>"Karta sieciowa    : ");

$dsl0_vbox0->put($dsl0_label1);
$dsl0_vbox0->put($dsl0_label2);
$dsl0_vbox0->put($dsl0_label3);
$dsl0_vbox0->put($dsl0_label4);

$dsl0_entry1 = Paw::Text_entry->new(width=>18,color=>2);
$dsl0_entry2 = Paw::Text_entry->new(text=>"255.255.255.252",width=>18,color=>2);
$dsl0_entry3 = Paw::Text_entry->new(width=>18,color=>2);
$dsl0_entry4 = Paw::Text_entry->new(text=>eth0,width=>18,color=>2);

$dsl0_vbox1->put($dsl0_entry1);
$dsl0_vbox1->put($dsl0_entry2);
$dsl0_vbox1->put($dsl0_entry3);
$dsl0_vbox1->put($dsl0_entry4);
$dsl0_hbox0->put($dsl0_vbox0);
$dsl0_hbox0->put($dsl0_vbox1);
$dsl0_hbox0->set_border("shade");

$dsl0_vbox2->put($dsl0_hbox0);
$dsl0_vbox2->rel_move_curs(new_y=>3);
$dsl0_vbox2->put($dsl0_hbox1);

$dsl0_win->abs_move_curs(new_x=>5, new_y=>2);
$dsl0_win->put($dsl0_vbox2);

# eth0
$eth0_vbox2=Paw::Box->new(name=>"eth0_vbox2", direction=>"v", parent=>$eth0_win);
$eth0_hbox0=Paw::Box->new(name=>"eth0_hbox0",direction=>"h", parent=>$eth0_vbox2);
$eth0_hbox1=Paw::Box->new(name=>"eth0_hbox1",direction=>"h", parent=>$eth0_vbox2);
$eth0_vbox0=Paw::Box->new(name=>"eth0_vbox0",direction=>"v", parent=>$eth0_hbox1);
$eth0_vbox1=Paw::Box->new(name=>"eth0_vbox1",direction=>"v", parent=>$eth0_hbox0);

$eth0_ok=Paw::Button->new(text=>"Ok", callback=>\&eth0_ok_cb);
$eth0_ok->set_border("shade");
$eth0_cancel=Paw::Button->new(text=>"Cancel", callback=>\&eth0_cancel_cb);
$eth0_cancel->set_border("shade");
$eth0_hbox1->put($eth0_ok);
$eth0_hbox1->rel_move_curs(new_x=>23);
$eth0_hbox1->put($eth0_cancel);

$eth0_label1 = Paw::Label->new(text=>"Adres ip        : ");
$eth0_label2 = Paw::Label->new(text=>"Maska podsieci    : ");
$eth0_label3 = Paw::Label->new(text=>"Pierwszy DNS      : ");
$eth0_label4 = Paw::Label->new(text=>"Drugi DNS         : ");
$eth0_label5 = Paw::Label->new(text=>"Bramka            : ");
$eth0_label6 = Paw::Label->new(text=>"Karta sieciowa    : ");

$eth0_vbox0->put($eth0_label1);
$eth0_vbox0->put($eth0_label2);
$eth0_vbox0->put($eth0_label3);
$eth0_vbox0->put($eth0_label4);
$eth0_vbox0->put($eth0_label5);
$eth0_vbox0->put($eth0_label6);

$eth0_entry1 = Paw::Text_entry->new(width=>18,color=>2);
$eth0_entry2 = Paw::Text_entry->new(text=>"255.255.255.0",width=>18,color=>2);
$eth0_entry3 = Paw::Text_entry->new(text=>"194.204.152.34",width=>18,color=>2);
$eth0_entry4 = Paw::Text_entry->new(text=>"62.233.128.17",width=>18,color=>2);
$eth0_entry5 = Paw::Text_entry->new(width=>18,color=>2);
$eth0_entry6 = Paw::Text_entry->new(text=>eth0,width=>18,color=>2);


$eth0_vbox1->put($eth0_entry1);
$eth0_vbox1->put($eth0_entry2);
$eth0_vbox1->put($eth0_entry3);
$eth0_vbox1->put($eth0_entry4);
$eth0_vbox1->put($eth0_entry5);
$eth0_vbox1->put($eth0_entry6);
$eth0_hbox0->put($eth0_vbox0);
$eth0_hbox0->put($eth0_vbox1);
$eth0_hbox0->set_border("shade");

$eth0_vbox2->put($eth0_hbox0);
$eth0_vbox2->rel_move_curs(new_y=>3);
$eth0_vbox2->put($eth0_hbox1);

$eth0_win->abs_move_curs(new_x=>5, new_y=>2);
$eth0_win->put($eth0_vbox2);


#koniec win
$koniec_vbox2=Paw::Box->new(name=>"koniec_vbox2", direction=>"v", parent=>$koniec_win);
$koniec_hbox0=Paw::Box->new(name=>"koniec_hbox0",direction=>"h", parent=>$koniec_vbox2);
$koniec_hbox1=Paw::Box->new(name=>"koniec_hbox1",direction=>"h", parent=>$koniec_vbox2);
$koniec_vbox0=Paw::Box->new(name=>"koniec_vbox0",direction=>"v", parent=>$koniec_hbox1);
$koniec_vbox1=Paw::Box->new(name=>"koniec_vbox1",direction=>"v", parent=>$koniec_hbox0);

$koniec_label1 = Paw::Label->new(text=>"      Wszystko przebieglo pomyslnie.");
$koniec_label2 = Paw::Label->new(text=>"        Internet powinien dzialac.");
$koniec_label3 = Paw::Label->new(text=>" ");
$koniec_label4 = Paw::Label->new(text=>"Prosze nacisnac ENTER aby zakonczyc program");

$koniec_ok=Paw::Button->new(text=>"Koniec", callback=>\&exitme);
$koniec_hbox1->rel_move_curs(new_x=>17);
$koniec_hbox1->put($koniec_ok);

$koniec_vbox1->put($koniec_label1);
$koniec_vbox1->put($koniec_label2);
$koniec_vbox1->put($koniec_label3);
$koniec_vbox1->put($koniec_label4);

$koniec_hbox0->put($koniec_vbox0);
$koniec_hbox0->put($koniec_vbox1);
$koniec_hbox0->set_border("shade");

$koniec_vbox2->put($koniec_hbox0);
$koniec_vbox2->rel_move_curs(new_y=>2);
$koniec_vbox2->put($koniec_hbox1);

$koniec_win->abs_move_curs(new_x=>4, new_y=>1);
$koniec_win->put($koniec_vbox2);


#error win
$error_vbox2=Paw::Box->new(name=>"error_vbox2", direction=>"v", parent=>$error_win);
$error_hbox0=Paw::Box->new(name=>"error_hbox0",direction=>"h", parent=>$error_vbox2);
$error_hbox1=Paw::Box->new(name=>"error_hbox1",direction=>"h", parent=>$error_vbox2);
$error_vbox0=Paw::Box->new(name=>"error_vbox0",direction=>"v", parent=>$error_hbox1);
$error_vbox1=Paw::Box->new(name=>"error_vbox1",direction=>"v", parent=>$error_hbox0);

$err_label1 = Paw::Label->new(text=>"Wystapil jakis blad ! Siec nie dziala!!!!!");
$err_label2 = Paw::Label->new(text=>"Prosze sprobowac ponownie podac ustawienia");
$err_label3 = Paw::Label->new(text=>"lub sprawdzic polaczenia kablowe. ");
$err_label4 = Paw::Label->new(text=>"Prosze nacisnac ENTER aby ponowic");

$err_ok=Paw::Button->new(text=>"Sproboj ponownie", callback=>\&exitme);
$error_hbox1->rel_move_curs(new_x=>12);
$error_hbox1->put($err_ok);

$error_vbox1->put($err_label1);
$error_vbox1->put($err_label2);
$error_vbox1->put($err_label3);
$error_vbox1->put($err_label4);

$error_hbox0->put($error_vbox0);
$error_hbox0->put($error_vbox1);
$error_hbox0->set_border("shade");

$error_vbox2->put($error_hbox0);
$error_vbox2->rel_move_curs(new_y=>2);
$error_vbox2->put($error_hbox1);

$error_win->abs_move_curs(new_x=>4, new_y=>1);
$error_win->put($error_vbox2);

sub main {
    $main_win->raise();
}
sub exitme {
    $main_win->close_win();
    endwin();
    exit;
}   
my $argument = $ARGV[0];
if ($argument eq '--sagem') { sagwuf(); }
if ($argument eq '--alcatel') { alcwuf(); }
if ($argument eq '--dsl1') { dsl1wuf(); }
if ($argument eq '--dsl0') { dsl0wuf(); }
if ($argument eq '--eth0') { eth0wuf(); }
if ($argument eq '--help') { help(); }


main();
########### Call me back inside
#neo alcatel
sub neo1_cb {
    $neoa_win->raise();
    return;
}
sub neo1_ok_cb {
    $user             = $neo1_entry1->get_text();
    $pass             = $neo1_entry2->get_text();;
    if ($user eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano uzytkownika ! \n";
        print "Prosze pamietac, ze uzytkownik sklada sie z dwoch\n";
        print "czlonow nazwa @ neostrada.pl \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        $neo1_win->raise();
        return;
    }
    if ($pass eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano hasla!!!! \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        $neo1_win->raise();
        return;
    }
    $neoa_win->close_win();
    $main_win->close_win();
    endwin();
    my $dns1 = "194.204.159.1";
    my $dns2 = "194.204.152.34";
    print "\n" x24;
    print "Set: $user $pass\n";
    print "Pracuje ...... \n";
    print "- edytuje peers/neostrada \n";
    open(FILE, ">/etc/ppp/peers/neostrada");
    print FILE "noauth\n";
    print FILE "usepeerdns\n";
    print FILE "noipdefault\n";
    print FILE "defaultroute\n";
    print FILE 'pty "/usr/sbin/pppoa3 -e 1 -v 1 -m 1 -c -vpi 0 -vci 35',"\n";
    print FILE "sync\n";
    print FILE 'user "',"$user",'" ',"\n";
    print FILE "noaccomp\n";
    print FILE "nopcomp\n";
    print FILE "noccp\n";
    print FILE "holdoff 4\n";
    print FILE "persist\n";
    print FILE "maxfail 25\n";
    close(FILE);
    print "- ustawiam hasla \n";
    system("touch /etc/sysconfig/interfaces/data/chat.null");
    open(FILE, ">/etc/ppp/chap-secrets");
    print FILE "$user\t*\t$pass\t*\n";
    close(FILE);
    print "Podnosze ppp0 ...\n";
    system("pppd call neostrada");
    print "- zmieniam dnsy \n";
    open(FILE2, ">>/etc/resolv.conf");
    print FILE2 "nameserver 194.204.159.1 \n";
    print FILE2 "nameserver 194.204.152.34 \n";
    close(FILE2);
    print "All done \n";
    my @ps = `ifconfig ppp0`;
    print "$ps[0] \n";
    if ($ps[0] =~ /ppp0/) { $koniec_win->raise(); } else { $error_win->raise(); }
}
sub neo1_cancel_cb {
    $neoa_win->close_win();
}

#neo sagem
sub neo2_cb {
    $neos_win->raise();
    return;
}
sub neo2_ok_cb {
    $user             = $neo2_entry1->get_text();
    $pass             = $neo2_entry2->get_text();;
    if ($user eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano uzytkownika ! \n";
        print "Prosze pamietac, ze uzytkownik sklada sie z dwoch\n";
        print "czlonow nazwa @ neostrada.pl \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
    }
    if ($pass eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano hasla!!!! \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
    }
    $neos_win->close_win();
    $main_win->close_win();
    endwin();
    my $dns1 = "194.204.159.1";
    my $dns2 = "194.204.152.34";
    print "\n" x24;
    print "Set: $user $pass\n";
    print "Pracuje ...... \n";
    print "- edytuje eagle-usb.conf \n";
    open(FILE2, "/etc/analog/eagle-usb.conf");
    my @F = (<FILE2>);
    close(FILE2);
    for (@F) {
        s/VPI=\"(.*)"/VPI=\"00000000\"/;
    }
    open(FILE2, ">/etc/eagle-usb/eagle-usb.conf");
    print FILE2 @F;
    close(FILE2);
    print "- edytuje options \n";
    open(FILE, ">/etc/ppp/options");
    print FILE "CHATSCRIPT=/etc/sysconfig/interfaces/data/chat.null\n";
    print FILE 'user "',"$user",'"',"\n";
    print FILE "mru 1492\n";
    print FILE "mtu 1492\n";
    print FILE "noipdefault\n";
    print FILE "defaultroute\n";
    print FILE "usepeerdns\n";
    print FILE "noauth\n";
    print FILE "nobsdcomp\n";
    print FILE "nodeflate\n";
    print FILE "nopcomp\n";
    print FILE "novj\n";
    print FILE "novjccomp\n";
    print FILE "noaccomp -am\n";
    close(FILE);
    print "- ustawiam hasla \n";
    system("touch /etc/sysconfig/interfaces/data/chat.null");
    open(FILE, ">/etc/ppp/chap-secrets");
    print FILE "$user\t*\t$pass\t*\n";
    close(FILE);
    print "- ustawiam config dla ppp0\n";
    open(FILE, ">/etc/sysconfig/interfaces/ifcfg-ppp0");
    print FILE "PPPOA_EAGLE=yes\n";
    print FILE "DEVICE=ppp0\n";
    print FILE "ONBOOT=yes\n";
    print FILE "PERSIST=yes\n";
    print FILE "HOLDOFF=10\n";
    print FILE "USER='$user'\n";
    print FILE "PPOA_NETADDR=192.168.60.30/24\n";
    print FILE "ONBOOT=yes\n";
    close(FILE);
    print "Podnosze ppp0 ...\n";
    system("ifup ppp0");
    print "- zmieniam dnsy \n";
    open(FILE2, ">>/etc/resolv.conf");
    print FILE2 "nameserver 194.204.159.1 \n";
    print FILE2 "nameserver 194.204.159.34 \n";
    close(FILE2);
    print "All done";
    my @ps = `ifconfig ppp0`;
    print "$ps[0] \n";
    if ($ps[0] =~ /ppp0/) { $koniec_win->raise(); } else { $error_win->raise(); }
}
sub neo2_cancel_cb {
    $neos_win->close_win();
}

#dsl 1 mb vars
sub dsl1_cb {
    $dsl1_win->raise();
    return;
}
sub dsl1_ok_cb {
    $adresip          = $dsl1_entry1->get_text();
    $maska            = $dsl1_entry2->get_text();;
    $bramka           = $dsl1_entry3->get_text();;
    $adresipa         = $dsl1_entry4->get_text();;
    $adresipb         = $dsl1_entry5->get_text();;
    $adresipc         = $dsl1_entry6->get_text();;
    $eth              = $dsl1_entry7->get_text();;
    if ($bramka eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano adresu ip ! \n";
        print "Adres ip znajduje sie na wydruku tpsa \n";
        print "pod nazwa ........ \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
    }
    if ($bramka eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano adresu bramki ! \n";
        print "Adres bramki znajduje sie na wydruku tpsa \n";
        print "pod nazwa ........ \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
    }
    if ($eth eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano numeru karty sieciowej ! \n";
        print "Prosze pamietac, ze format jest nastepujacy: \n";
        print "\teth0 - pierwsza karta sieciowa \n";
        print "\teth1 - druga karta sieciowa \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
        }
    $dsl1_win->close_win();
    $main_win->close_win();
    endwin();
    my $dns1 = "194.204.159.1";
    my $dns2 = "194.204.152.34";
    print "\n" x24;
    print "Set: $adresip $maska $bramka\n";
    print "Pracuje ...... \n";
    print "- zmieniam bramke \n";
    open(FILE2, "/etc/sysconfig/network");
    my @F = (<FILE2>);
    close(FILE2);
    for (@F) {
        s/GATEWAY=\"(.*)"/GATEWAY=\"$bramka\"/;
        s/GATEWAYDEV=\"(.*)"/GATEWAYDEV=\"$eth\"/;
    }
    open(FILE2, ">/etc/sysconfig/network");
    print FILE2 @F;
    close(FILE2);
    print "- zmieniam adres ip \n";
    open(FILE, "/etc/sysconfig/interfaces/ifcfg-$eth");
    my @H = (<FILE>);
    close(FILE);
    $readyip = "$adresip/29";
    for (@H) {
        s/DEVICE=\"(.*)"/DEVICE=\"$eth\"/;
        s/IPADDR=\"(.*)"/IPADDR=\"$readyip\"/;
    }
    open(FILE, ">/etc/sysconfig/interfaces/ifcfg-$eth");
    print FILE @H;
    close(FILE);
    print "- zmieniam dnsy \n";
    open(FILE2, ">>/etc/resolv.conf");
    print FILE2 "nameserver 194.204.159.1 \n";
    print FILE2 "nameserver 194.204.152.34 \n";
    close(FILE2);
    system("/etc/rc.d/init.d/network restart");
    print "All done \n";
    my @ps = `ifconfig $eth`;
    print "$ps[0] \n";
    if ($ps[0] =~ /$eth/) { $koniec_win->raise(); } else { $error_win->raise(); }
}

sub dsl1_cancel_cb {
    $dsl1_win->close_win();
}

#dsl 0,5 mb var
sub dsl0_cb {
    $dsl0_win->raise();

    return;
}
sub dsl0_ok_cb {
    $adresip          = $dsl0_entry1->get_text();
    $maska            = $dsl0_entry2->get_text();;
    $bramka           = $dsl0_entry3->get_text();;
    $eth              = $dsl0_entry4->get_text();;
    if ($bramka eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano adresu ip ! \n";
        print "Adres ip znajduje sie na wydruku tpsa \n";
        print "pod nazwa ........ \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
    }
    if ($bramka eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano adresu bramki ! \n";
        print "Adres bramki znajduje sie na wydruku tpsa \n";
        print "pod nazwa ........ \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
    }
    if ($eth eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano numeru karty sieciowej ! \n";
        print "Prosze pamietac, ze format jest nastepujacy: \n";
        print "\teth0 - pierwsza karta sieciowa \n";
        print "\teth1 - druga karta sieciowa \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
        }
    $dsl0_win->close_win();
    $main_win->close_win();
    endwin();
    my $dns1 = "194.204.159.1";
    my $dns2 = "194.204.152.34";
    print "\n" x24;
    print "Set: $adresip $maska $bramka\n";
    print "Pracuje ...... \n";
    print "- zmieniam bramke \n";
    open(FILE2, "/etc/sysconfig/network");
    my @F = (<FILE2>);
    close(FILE2);
    for (@F) {
        s/GATEWAY=\"(.*)"/GATEWAY=\"$bramka\"/;
        s/GATEWAYDEV=\"(.*)"/GATEWAYDEV=\"$eth\"/;
    }
    open(FILE2, ">/etc/sysconfig/network");
    print FILE2 @F;
    close(FILE2);
    print "- zmieniam adres ip \n";
    open(FILE, "/etc/sysconfig/interfaces/ifcfg-$eth");
    my @H = (<FILE>);
    close(FILE);
    $readyip = "$adresip/30";
    for (@H) {
        s/DEVICE=\"(.*)"/DEVICE=\"$eth\"/;
        s/IPADDR=\"(.*)"/IPADDR=\"$readyip\"/;
    }
    open(FILE, ">/etc/sysconfig/interfaces/ifcfg-$eth");
    print FILE @H;
    close(FILE);
    print "- zmieniam dnsy \n";
    open(FILE2, ">>/etc/resolv.conf");
    print FILE2 "nameserver 194.204.159.1 \n";
    print FILE2 "nameserver 194.204.152.34 \n";
    close(FILE2);
    system("/etc/rc.d/init.d/network restart");
    print "All done \n";
    my @ps = `ifconfig $eth`;
    print "$ps[0] \n";
    if ($ps[0] =~ /$eth/) { $koniec_win->raise(); } else { $error_win->raise(); }
}
sub dsl0_cancel_cb {
    $dsl0_win->close_win();
}

#eth0 var
sub eth0_cb {
    $eth0_win->raise();

    return;
}
sub eth0_ok_cb {
    $adresip          = $eth0_entry1->get_text();
    $maska            = $eth0_entry2->get_text();;
    $dns1             = $eth0_entry3->get_text();;
    $dns2             = $eth0_entry4->get_text();;
    $bramka           = $eth0_entry5->get_text();;
    $eth              = $eth0_entry6->get_text();;
    if ($bramka eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano adresu ip ! \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
    }
    if ($eth eq "") {
        endwin();
        print "\n" x 40;
        print "Nie podano numeru karty sieciowej ! \n";
        print "Prosze pamietac, ze format jest nastepujacy: \n";
        print "\teth0 - pierwsza karta sieciowa \n";
        print "\teth1 - druga karta sieciowa \n";
        chomp($mu = <STDIN>);
        $main_win->raise();
        return;
        }
    $eth0_win->close_win();
    $main_win->close_win();
    endwin();
    print "\n" x24;
    print "Set: $adresip $maska $bramka\n";
    print "Pracuje ...... \n";
    print "- zmieniam bramke \n";
    open(FILE2, "/etc/sysconfig/network");
    my @F = (<FILE2>);
    close(FILE2);
    for (@F) {
        s/GATEWAY=\"(.*)"/GATEWAY=\"$bramka\"/;
        s/GATEWAYDEV=\"(.*)"/GATEWAYDEV=\"$eth\"/;
    }
    open(FILE2, ">/etc/sysconfig/network");
    print FILE2 @F;
    close(FILE2);
    print "- zmieniam adres ip \n";
    open(FILE, "/etc/sysconfig/interfaces/ifcfg-$eth");
    my @H = (<FILE>);
    close(FILE);
    if ($netmask eq "255.255.255.255") { $readyip = "$adresip/32"; }
    if ($netmask eq "255.255.255.252") { $readyip = "$adresip/30"; }
    if ($netmask eq "255.255.255.248") { $readyip = "$adresip/29"; }
    if ($netmask eq "255.255.255.240") { $readyip = "$adresip/28"; }
    if ($netmask eq "255.255.255.224") { $readyip = "$adresip/27"; }
    if ($netmask eq "255.255.255.192") { $readyip = "$adresip/26"; }
    if ($netmask eq "255.255.255.128") { $readyip = "$adresip/25"; }
    if ($netmask eq "255.255.255.0") { $readyip = "$adresip/24"; }
    for (@H) {
        s/DEVICE=\"(.*)"/DEVICE=\"$eth\"/;
        s/IPADDR=\"(.*)"/IPADDR=\"$readyip\"/;
    }
    open(FILE, ">/etc/sysconfig/interfaces/ifcfg-$eth");
    print FILE @H;
    close(FILE);
    print "- zmieniam dnsy \n";
    open(FILE2, ">>/etc/resolv.conf");
    print FILE2 "nameserver $dns1 \n";
    print FILE2 "nameserver $dns2 \n";
    close(FILE2);
    system("/etc/rc.d/init.d/network restart");
    print "All done \n";
    my @ps = `ifconfig $eth`;
    print "$ps[0] \n";
    if ($ps[0] =~ /$eth/) { $koniec_win->raise(); } else { $error_win->raise(); }
}
sub eth0_cancel_cb {
    $eth0_win->close_win();
}

